Add a hosted-table guest
Requires the donor portal session in the path and that donor must be the table host. Event management stays available for completed/unpublished events unless the event is unavailable. Adds a standalone registered attendee without an order or donor identity. Capacity counts all non-cancelled table guests. Seat labels may be recorded for the host guest.
curl --request POST \
--url https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.org",
"phone": "+12565550123",
"seat_label": "A1"
}
'import requests
url = "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests"
payload = {
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.org",
"phone": "+12565550123",
"seat_label": "A1"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Doe',
email: 'jane@example.org',
phone: '+12565550123',
seat_label: 'A1'
})
};
fetch('https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Jane',
'last_name' => 'Doe',
'email' => 'jane@example.org',
'phone' => '+12565550123',
'seat_label' => 'A1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"organization": {
"id": 42,
"name": "Example Foundation"
},
"event": {
"id": 42,
"branding_program_id": 42,
"name": "Annual Gala",
"slug": "annual-gala",
"starts_at": "2026-10-20T12:00:00Z",
"timezone": "Africa/Kampala",
"status": "registration_open"
},
"table": {
"id": 42,
"name": "Table 1",
"section": "Example",
"capacity": 42,
"guest_count": 42,
"checked_in_count": 42,
"notes": "Example",
"host": {
"id": 42,
"name": "Example",
"email": "Example"
}
},
"guests": [
{
"id": 42,
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"email": "Example",
"phone": "Example",
"status": "registered",
"checked_in_at": "2026-10-20T12:00:00Z",
"ticket_type": "Example",
"table": "Example",
"seat_label": "Example",
"source": "table_host_guest",
"editable": false
}
],
"manage_url": "/events/42/annual-gala/tables/7/host/session-token"
},
"guest": {
"id": 42,
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"email": "Example",
"phone": "Example",
"status": "registered",
"checked_in_at": "2026-10-20T12:00:00Z",
"ticket_type": "Example",
"table": "Example",
"seat_label": "Example",
"source": "table_host_guest",
"editable": false
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}Path Parameters
Public organization slug or numeric ID.
"example-foundation"
Event slug within the organization.
"annual-gala"
Record ID in the authenticated organization.
42
Authenticated donor portal session.
"donor-session-token"
Body
Guest first name; required when creating.
255"Jane"
Guest surname.
255"Doe"
Guest email; nullable to clear when updating.
255"jane@example.org"
Guest phone; nullable to clear when updating.
80"+12565550123"
Optional seat label; empty/null clears the existing seat.
80"A1"
curl --request POST \
--url https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.org",
"phone": "+12565550123",
"seat_label": "A1"
}
'import requests
url = "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests"
payload = {
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.org",
"phone": "+12565550123",
"seat_label": "A1"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Doe',
email: 'jane@example.org',
phone: '+12565550123',
seat_label: 'A1'
})
};
fetch('https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Jane',
'last_name' => 'Doe',
'email' => 'jane@example.org',
'phone' => '+12565550123',
'seat_label' => 'A1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/public/events/{clientSlugOrId}/{eventSlug}/tables/{tableId}/host/{sessionId}/guests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"email\": \"jane@example.org\",\n \"phone\": \"+12565550123\",\n \"seat_label\": \"A1\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"organization": {
"id": 42,
"name": "Example Foundation"
},
"event": {
"id": 42,
"branding_program_id": 42,
"name": "Annual Gala",
"slug": "annual-gala",
"starts_at": "2026-10-20T12:00:00Z",
"timezone": "Africa/Kampala",
"status": "registration_open"
},
"table": {
"id": 42,
"name": "Table 1",
"section": "Example",
"capacity": 42,
"guest_count": 42,
"checked_in_count": 42,
"notes": "Example",
"host": {
"id": 42,
"name": "Example",
"email": "Example"
}
},
"guests": [
{
"id": 42,
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"email": "Example",
"phone": "Example",
"status": "registered",
"checked_in_at": "2026-10-20T12:00:00Z",
"ticket_type": "Example",
"table": "Example",
"seat_label": "Example",
"source": "table_host_guest",
"editable": false
}
],
"manage_url": "/events/42/annual-gala/tables/7/host/session-token"
},
"guest": {
"id": 42,
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"email": "Example",
"phone": "Example",
"status": "registered",
"checked_in_at": "2026-10-20T12:00:00Z",
"ticket_type": "Example",
"table": "Example",
"seat_label": "Example",
"source": "table_host_guest",
"editable": false
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}